Bug 442242 - pirut encounter error could not create GladeXML after "package update"
pirut encounter error could not create GladeXML after "package update"
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
9
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 05:23 EDT by john.smith
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 13:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john.smith 2008-04-13 05:23:55 EDT
Description of problem:
==============below is the message of pup(package update)====================
Component: pirut
Summary: TB933f1c56 DetailsDialog.py:38:__init__:RuntimeError: could not create
GladeXML object
 
Traceback (most recent call last):
  File "/usr/sbin/pup", line 425, in _apply
  File "/usr/lib/python2.5/site-packages/pirut/DetailsDialog.py", line 38, in
__init__
RuntimeError: could not create GladeXML object
 
Local variables in innermost frame:
parent: <gtk.Window object at 0x8cfc98c (GtkWindow at 0x8d468e0)>
text: \u8edf\u9ad4\u5347\u7d1a\u5df2\u6210\u529f\u5b8c\u6210\u3002
self: <pirut.DetailsDialog.PirutDetailsDialog instance at 0x94078ac>
buttons: <enum GTK_BUTTONS_NONE of type GtkButtonsType>
type: <enum GTK_MESSAGE_INFO of type GtkMessageType>
secondary: None
===============================================================

Version-Release number of selected component (if applicable):


How reproducible:run the software update,after update successfully
by the command :  /usr/bin/python /usr/bin/getproxy /usr/bin/pup
in recent days (I did it on 2008/04/13)
Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
after that,if you run pup(package update) again,pup can not work any
more,console  message as below:
------------------------------------------------------------------------------
/usr/bin/python: can't open file '/usr/bin/getproxy': [Errno 2] No such file or
directory
------------------------------------------------------------------------------
Comment 1 Jeremy Katz 2008-04-14 10:09:33 EDT
What's the output of 'rpm -V pirut'?
Comment 2 john.smith 2008-04-14 13:21:37 EDT
it shows "package pirut not install yet" (it's my translated message,cause my 
sistem lanaguage is zh_TW)
Comment 3 Jeremy Katz 2008-04-14 18:19:54 EDT
That's going to be it -- what is in /var/log/yum.log?
Comment 4 john.smith 2008-04-14 19:17:40 EDT
no error/exception message in the yum.log,just install and update messages

I will resotre system by backup image and install pirut before I run yum update
Comment 5 Bug Zapper 2008-05-14 05:22:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jeremy Katz 2008-05-28 15:42:50 EDT
Are you still seeing this?  Can you provide the yum.log?
Comment 7 Jeremy Katz 2008-06-13 13:27:18 EDT
Closing due to inactivity; please reopen if you have further information to add
to this report.

Note You need to log in before you can comment on or make changes to this bug.